Unknown directive SystemGroup

Bug #1088448 reported by TJ on 2012-12-10
68
This bug affects 15 people
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
Undecided
Unassigned

Bug Description

Ubuntu 12.04 Precise, /var/log/cups/error_log shows:

E [10/Dec/2012:11:28:56 +0000] Unknown directive SystemGroup on line 16 of /etc/cups/cupsd.conf.

The file contains:

# Administrator user group...
SystemGroup lpadmin

I can find no reference to "SystemGroup" in man 5 cupsd.conf.

$ apt-cache policy cups
cups:
  Installed: 1.5.3-0ubuntu5.1
  Candidate: 1.5.3-0ubuntu5.1
  Version table:
 *** 1.5.3-0ubuntu5.1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu/ precise-security/main amd64 Packages
        100 /var/lib/dpkg/status
     1.5.2-9ubuntu1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

CVE References

TJ (tj) wrote :

Looking at the patches for CVE-2012-5519 committed 3rd December 2012 it seems that the SystemGroup variable was removed from cupsd.conf configuration but existing entries in cupds.conf were not migrated in the post-inst scripts.

cups (1.5.3-0ubuntu5.1) precise-security; urgency=low

  * SECURITY UPDATE: privilege escalation via config file editing
    - debian/patches/CVE-2012-5519.patch: split configuration file into
      two, to isolate options that have a security impact.
    - debian/cups.install: also install cups-files.conf
    - debian/patches/removecvstag.patch: updated to remove tag from
      cups-files.conf.
    - CVE-2012-5519

Marc Deslauriers (mdeslaur) wrote :

SystemGroup was migrated to the cups-files.conf.

The existing cupsd.conf file was deliberately left intact to not cause a conf file prompt for the security upgrade.
This was the best option for upgrading stable releases.

The warning message is harmless, and can be safely ignored, or the option can simply be removed from the cupsd.conf file.

Changed in cups (Ubuntu):
status: New → Confirmed
Marc Deslauriers (mdeslaur) wrote :

See the USN for more information:

http://www.ubuntu.com/usn/usn-1654-1/

It's help to upgradinbg stable release, but it's also help to confusion.

Phil M (unmobile+ubuntu) wrote :

The message for SystemGroup (and any other affected parameters) should be modified to refer explicitly to USN-1654-1 and to cups-files.conf.

Will (will-berriss) wrote :

My Mac would not print to my wireless HP colour printer via my Ubuntu Linux box. (I have it set up this way because Mac cannot print directly to HP wireless.) Linux box to wireless HP printer worked fine so I just send via Linux box.

BUT Jobs were not coming out from Mac because Mac said that on linux machine /usr/lib/cups/backend/hp had failed.

So I just commented out the above line and saved cupsd.conf and as soon as I hit save the Mac's test print page came out!

So it is not harmless I would say.

Hope that helps someone.

Panorain (panorain) wrote :

Which line did you comment out? I am using a 3.2~ kernel based system. Which line did you comment out of the 'cupsd.conf' file?

Panorain (panorain) wrote :

apt-cache policy cups
cups:
  Installed: 1.5.3-0ubuntu8
  Candidate: 1.5.3-0ubuntu8
  Version table:
 *** 1.5.3-0ubuntu8 0
        500 http://archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1.5.3-0ubuntu5.1 0
        500 http://security.ubuntu.com/ubuntu/ precise-security/main i386 Packages
     1.5.2-9ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main i386 Packages

Nothing has been fixed

Stefan Reine (raw-raw) wrote :

>The warning message is harmless, and can be safely ignored, or the option can simply be removed from the cupsd.conf file.

Sorry which option should I remove to get rid of this annoying message?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers